Skip to main content
POST
/
v1
/
verdict_reasons
/
list
C#
// POST /v1/verdict_reasons/list
const stytch = require('stytch');

const client = new stytch.B2BClient({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
};

client.Fraud.VerdictReasons.List(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
// POST /v1/verdict_reasons/list
package main

import (
"context"
"log"

"github.com/stytchauth/stytch-go/v18/stytch/consumer/fraud/verdictreasons"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)

func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}

params := &verdictreasons.ListParams{}

resp, err := client.Fraud.VerdictReasons.List(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}

log.Println(resp)
}
// POST /v1/verdict_reasons/list
package com.example;

import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.fraudverdictreasons.ListRequest;
import com.stytch.java.consumer.StytchClient;

public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");

ListRequest params = new ListRequest();

Object result = StytchClient.getFraud().getVerdictReasons().list(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}
// POST /v1/verdict_reasons/list
package com.example

import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.fraudverdictreasons.ListRequest

fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)

when (
val result =
StytchClient.fraud.verdictReasons.list(
ListRequest(),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/verdict_reasons/list
const stytch = require('stytch');

const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});

const params = {
};

client.fraud.verdictReasons.list(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });
$response = $client->fraud->verdict_reasons->list([
]);
# POST /v1/verdict_reasons/list
from stytch import Client

client = Client(
project_id="${projectId}",
secret="${secret}",
)

resp = client.fraud.verdict_reasons.list()

print(resp)
# frozen_string_literal: true

# POST /v1/verdict_reasons/list
require 'stytch'

client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)

resp = client.fraud.verdict_reasons.list(

)

puts resp
// POST /v1/verdict_reasons/list
use stytch::consumer::client::Client;
use stytch::consumer::fraud_verdict_reasons::ListRequest;

fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.fraud.verdict_reasons.list(
ListRequest{
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}
# POST /v1/verdict_reasons/list
curl --request POST \
--url https://telemetry.stytch.com/v1/verdict_reasons/list \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
}'
{
  "request_id": "<string>",
  "verdict_reason_actions": [
    {
      "verdict_reason": "<string>",
      "override_created_at": "<string>",
      "override_description": "<string>"
    }
  ],
  "status_code": 123
}
{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}
{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}
{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json

Request type

overrides_only
boolean

Whether to return only verdict reasons that have overrides set. Defaults to false.

Response

Successful response

request_id
string
required

Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.

verdict_reason_actions
object[]
required

Information about verdict reasons and any overrides that were set on them.

status_code
integer<int32>
required

The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.